This call returns a list of all OneLogin event types available to the Events API, providing event type names, event type IDs, and descriptions. This endpoint is rate-limited. Ensure you cache the response and retain for up to 24 hours.
Resource URL
https://<subdomain>.onelogin.com/api/1/events/typesHeader Parameter
Content-Type string | Set to |
Sample Response
- 200 OK
{
"status": {
"error": false,
"code": 200,
"type": "success",
"message": "Success"
},
"data": [
{
"name": "APP_ADDED_TO_ROLE",
"description": "App %app% added to role %role%",
"id": 1
},
{
"name": "APP_REMOVED_FROM_ROLE",
"description": "App %app% removed from role %role%",
"id": 2
},
{
"name": "USER_ASSUMED_USER",
"description": "%actor_user% assumed %user%",
"id": 3
},
{
"name": "USER_ASSIGNED_ROLE",
"description": "Assigned %role% to user %user%",
"id": 4
},
{
"name": "USER_LOGGED_INTO_ONELOGIN",
"description": "%user% logged into OneLogin",
"id": 5
},
...Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
curl 'https://<subdomain>.onelogin.com/api/1/events/types' \
-X GET \
-H "Content-type: application/json"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.